package Client;
# Package to read config/remote/Slave.cfg file to extract Ports and Dirs
# hashes for use by Data Collector packages.

use Debug qw(debug addToSumFile);
use strict;
use Exporter;
use XML::Parser;
use Data::Dumper;

use vars qw(@ISA $VERSION);

@ISA = qw(Exporter);

my $VERSION = do {my @r=(q$Revision: 1.1 $=~/\d+/g);sprintf "%d."."%02d"x$#r,@r};
my $id;
my @clients;

sub new {
	my $class = shift;
	my $file = shift;
	my $self = {};

	debug(50,"Client::new: Entering...\n");
	# Load the file.
	my $p1 = new XML::Parser(Style => 'Subs');
	$p1->parsefile($file) or do {
		$@ = "EGADS::Client cannot open `$file' for reading: $!\n";
		debug(1,"Client::new: $@...\n");
		return;
	};

	$self->{id} = $id;
	push(@{$self->{clients}},@clients);
	@clients = [];
	debug(50,"Client::new: Exiting...\n");
	bless $self, $class;
}

sub client {
	my ($xp, $el, %att) = @_;
	debug(50, "Client::client: Entering...\n");
	push(@clients,\%att);
	debug(50, "Client::client: Exiting...\n");
}

sub isClient {
	my $self = shift;
	my $id = shift;
#	for (my $i = 0; $i <= $#{$self->{clients}}; $i++) {
#		my $tmp = $self->{clients}[$i];
	foreach my $client (@{$self->{clients}}) {
		return(1) if ($client->{id} eq $id);
	}
	return(0);
}

sub getPorts {
	my $self = shift;
	@{$self->{clients}};
}

sub getPort {
	my $self = shift;
	my $id = shift;
#	for (my $i = 0; $i <= $#{$self->{clients}}; $i++) {
#		my $tmp = $self->{clients}[$i];
	foreach my $client (@{$self->{clients}}) {
		return $client if ($client->{id} eq $id);
	}
}

1;

__END__

